For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
      • GETGet All With Filters
      • POSTCreate
      • POSTPreview
      • GETGet All System Templates
      • GETGet
      • DELDelete
      • PATCHUpdate
      • POSTMake Default
LogoLogo
API StatusPartner Portal
UtilitiesMail templates

Get All System Templates

GET
/mail_templates/system
GET
/v1/mail_templates/system
$curl https://api.sandbox.monite.com/v1/mail_templates/system \
> -H "x-monite-version: 2024-05-25" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "available_templates": [
5 {
6 "body_template": "body_template",
7 "language": "language",
8 "subject_template": "subject_template"
9 }
10 ],
11 "template_name": "template_name"
12 }
13 ]
14}
Get all system templates
Was this page helpful?
Previous

Get

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired

Response

Successful Response
datalist of objects

All pre-defined email templates

Errors

401
Get Mail Templates System Request Unauthorized Error
422
Get Mail Templates System Request Unprocessable Entity Error
429
Get Mail Templates System Request Too Many Requests Error